Description

Example:

$ ./bag-cat --style 'programmable/script :script #p"../scripts/export-pngs.lisp"'
/vol/humavips/studies/Y2_Vernissage/corpus/slots/09/video.tide 
error opening #P"/homes/jmoringe/code/cl-rsbag-tools/trunk/build-x86_64/../scripts/export-pngs.lisp": No such file or directory

This should say something like:

Failed to create formatting style PROGRAMMABLE/SCRIPT with arguments
+ SCRIPT      -> #P"../scripts/export-pngs.lisp" 
Caused by:
> error opening
> #P"/homes/jmoringe/code/cl-rsbag-tools/trunk/build-x86_64/../scripts/export-pngs.lisp":
> No such file or directory

Associated revisions
Revision fb86fe60 - 10/25/2014 12:14 AM - J. Moringen

make-style signals style-creation-error in formatting/protocol.lisp

fixes #865

    -  formatting/conditions.lisp (style-creation-error): new condition;
  signaled when creating a style instance fails

    -  formatting/protocol.lisp (make-style): removed; replaced by generic
  function
  (make-style): new generic function; make and return a style instance
  according to the supplied specification
  (define-condition-translating-method make-style): new method;
  translate `error's into `style-creation-error's
  (make-style symbol): new method; handle symbols as specification
  (make-style cons): new method; similar for conses
  (make-style standard-object): new method; detects when a style is
  erroneously supplied in conjunction with arguments

    -  formatting/package.lisp (package rsb.formatting): added exported
  symbols style-creation-error and style-creation-error-specification

    -  test/formatting/protocol.lisp: new file; tests for protocol functions
  of the formatting module
    -  cl-rsb-formatting.asd (system cl-rsb-formatting-test): added file

  test/formatting/protocol.lisp

History
#1 - 06/19/2012 05:40 PM - J. Moringen
- Target version set to rsb-0.9

#2 - 04/17/2013 04:09 PM - J. Moringen
- Target version changed from rsb-0.9 to rsb-0.10

#3 - 12/10/2013 11:47 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#4 - 10/25/2014 12:20 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rsb-tools-cl|fb86fe60c090401b107b6ef08349188fe1a922f3.
